#include "fileopen.h"
#include "common.h"
#include "delay.h"

char buffer_device[30]; // 用于存储文件内容
char buffer_version[30];// 用于存储版本号内容

char *device_inspect() {//读出文件函数
    FILE *file;
    
    while (1) {
        file = fopen(filename, "r"); // 以只读模式打开文件

        if (file == NULL) {
            printf("文件 %s 打开失败，等待中...\n", filename);
        } 
        else {
            // 尝试读取文件内容
            if (fgets(buffer_device, sizeof(buffer_device), file) != NULL) {
                // 如果文件内容不为空
                fclose(file);
                printf("读取到文件内容: %s\n", buffer_device);
                return  buffer_device;
            } else {
                printf("文件为空，等待中...\n");
            }
            fclose(file);
        }
    Delay_Ms(1,0); // 等待1秒后再次检查
    }
}

char *program_version() {//打开版本文件
    FILE *file;
    file = fopen(file_version, "r"); // 以只读模式打开文件
    if (file == NULL) {
            printf("文件无");
        }  else {
            // 尝试读取文件内容
            if (fgets(buffer_version, sizeof(buffer_version), file) != NULL) {
                // 如果文件内容不为空
                fclose(file);
                printf("读取到文件内容: %s\n", buffer_version);
                return  buffer_version;
            } else {
                printf("文件为空，等待中...\n");
            }
            fclose(file);
        }
}